Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.jspbeans
Class UserRegistrationBean

    java.lang.Object
      |
      +--com.beasys.portal.admin.jspbeans.JspBeanBase
            |
            +--com.beasys.portal.jspbeans.UserRegistrationBean

public class UserRegistrationBean
extends JspBeanBase

Provides values to choose from when selecting user registration values for refresh rate, state of residence, and country of residence.

See Also:
  Serialized Form

Field Summary
`static java.lang.String[][]` | `COUNTRIES` Available selections for country-of-residence value and country-of-residence display value.
`static java.lang.String` | `NO_SELECTION` Value for common Select listbox use.
`static java.lang.String[][]` | `REFRESH_RATES` Available selections for refresh rate value and refresh rate display value.
`static java.lang.String[][]` | `STATES` Available selections for state-of-residence value and state-of-residence display value.
`static java.lang.String[][]` | `TIMEZONES` JDK 1.1.x Time zone ids

Fields inherited from class com.beasys.portal.admin.jspbeans.JspBeanBase
`DEFAULT_CATEGORY`

Constructor Summary
`UserRegistrationBean()`

Method Summary
`static java.lang.String` | `getTZString(java.lang.String tzId)` Returns the Time Zone Descriptive text for a Time Zone ID.

Methods inherited from class com.beasys.portal.admin.jspbeans.JspBeanBase
`findStringInArray, hasSpecialHTMLChars, isStringLetterOrDigit, validateDoubleValue, validateDoubleValue, validateGroupName, validateIntValue, validateIntValue, validateLength, validateUserName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REFRESH_RATES

    public static java.lang.String[][] REFRESH_RATES

  Available selections for refresh rate value and refresh rate display value.

### STATES

    public static java.lang.String[][] STATES

  Available selections for state-of-residence value and state-of-residence display value.

### COUNTRIES

    public static java.lang.String[][] COUNTRIES

  Available selections for country-of-residence value and country-of-residence display value.

### TIMEZONES

    public static java.lang.String[][] TIMEZONES

  JDK 1.1.x Time zone ids

### NO_SELECTION

    public static java.lang.String NO_SELECTION

  Value for common Select listbox use.

Constructor Detail

### UserRegistrationBean

    public UserRegistrationBean()

Method Detail

### getTZString

    public static final java.lang.String getTZString(java.lang.String tzId)

  Returns the Time Zone Descriptive text for a Time Zone ID.
  Parameters:
    `tzId` - A valid timezone id. Valid as to the JDK specification and is one of the time zone ids returned by the java.util.TimeZone.getAvailableIDs() method.
  Returns:
    String The description. An empty String if not found.
  See Also:
    `TimeZone`

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved